# MongoDB\BSON\Symbol::unserialize

(mongodb >=1.4.0)

MongoDB\BSON\Symbol::unserialize — Unserialize a Symbol

### Description

final public MongoDB\BSON\Symbol::unserialize ( string `$serialized` ) : void

### Parameters

`serialized`

  The serialized MongoDB\BSON\Symbol.

### Return Values

Returns the unserialized MongoDB\BSON\Symbol.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\BSON\Symbol::serialize() - Serialize a Symbol
- unserialize() - Creates a PHP value from a stored representation
- Serializing Objects